import QtQuick 2.0
import QtQuick.Controls 2.5 as QQC2
import org.kde.kirigami 2.4 as Kirigami

Kirigami.FormLayout {
    id: page

    property alias cfg_interval: var_interval.value
    property alias cfg_width: var_width.value

    QQC2.Label {
        text: "Width update interval (seconds)"
    }

    QQC2.SpinBox {
        id: var_interval

        stepSize: 100
        from: 1
        to: 900
        value: plasmoid.configuration.cfg_interval ? plasmoid.configuration.cfg_interval : 15
        onValueChanged: {
            plasmoid.configuration.cfg_interval = var_interval.value;
        }
    }

    QQC2.Label {
        text: "Maximum width (in pixels)"
    }

    QQC2.SpinBox {
        id: var_width

        stepSize: 10
        from: 10
        to: 300
        value: plasmoid.configuration.cfg_width ? plasmoid.configuration.cfg_width : 100
        onValueChanged: {
            plasmoid.configuration.cfg_width = var_width.value;
        }
    }

}
